Subject: Re: bug#16761: 24.3.50; focus-in-hook not running accurately when frame switches to terminal

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 04:27:56 +0100

Steven Edwards <[email-masked]> writes:

> ...but when cycling from a graphical frame to a terminal frame, nothing new
> appears in *Messages*--until you switch to a graphical frame:

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

focus-in-hook was made obsolete in Emacs 27.1, and
`after-focus-change-function' should be used instead.  And using that, I
see that the change function is called reliably when changing to a
terminal frame, so I think this has been fixed now, and I'm closing this
bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no